summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2016-06-23 12:48:01 +0200
committerMichał Górny <mgorny@gentoo.org>2016-06-23 14:47:51 +0200
commit0d6dd1c3753fa8fa082d0ffdc95b36f43755bc28 (patch)
treeb55fd4202609255d36ba18c80f91917303ad6477
parentdev-ml/ocamlnet: bump to 4.1.2 (diff)
downloadgentoo-0d6dd1c3753fa8fa082d0ffdc95b36f43755bc28.tar.gz
gentoo-0d6dd1c3753fa8fa082d0ffdc95b36f43755bc28.tar.bz2
gentoo-0d6dd1c3753fa8fa082d0ffdc95b36f43755bc28.zip
dev-lang/ekopath: Snapshot bump
-rw-r--r--dev-lang/ekopath/Manifest1
-rw-r--r--dev-lang/ekopath/ekopath-6.0.844_p20160623-r1.ebuild63
-rw-r--r--dev-lang/ekopath/ekopath-6.0.844_p20160623-r100.ebuild74
3 files changed, 138 insertions, 0 deletions
diff --git a/dev-lang/ekopath/Manifest b/dev-lang/ekopath/Manifest
index 03f8eacda0f..eae05987a0b 100644
--- a/dev-lang/ekopath/Manifest
+++ b/dev-lang/ekopath/Manifest
@@ -1,3 +1,4 @@
DIST ekopath-2015-12-13-installer.run 57231316 SHA256 85a3fc7df59373bfef32bf9388fd77c19d7c780dc5e9e52e1e8664f0139a9ac6 SHA512 9454f263c921d26f521e374eb2f346f1e257bf58daf2ce5e54ce1a2cced7291bd9b5ece08cd4da441498f66bcd6a01a45309d4463fe65ea5d094b21612a8d3f8 WHIRLPOOL 3157ed63da3d87912163af2e8927a332640b2682289234b25b5f7b75a698490dc2cf8e0d5f51d82eb0b072654f15040c6b94f94e3cf7a428b793a575d6f71ed0
DIST ekopath-2016-04-09-installer.run 57165340 SHA256 ccdfe4aca6063d8cf885b3878b0ab12505aa765db081f4a0278e392f883dee46 SHA512 cdb8647d36ea8ca411cc2378d87c0a2edf34c834206905350a6cdde5ae0ed14f56f716ebb7ad28129b634088f94e0304c1cef3df1beaac38c3ccc87d5387dce0 WHIRLPOOL 299ac5494f17dc680a794f4cda3417e232c2fe6768df2ee5ba48356be0d929f7ed821b32b5e179c9fd0334081bcca61dddac577b6b8a63201723b1172f94a005
DIST ekopath-2016-04-28-installer.run 57174533 SHA256 92a0d516fff57849ac88f6fe22e112184f5102cdf0f159324243dc49e7e248ac SHA512 9bb8f22bc3644b5bbfe0dcf768345fd9050d030ee2c9aba315004a5b2f2d95adbc8c613aa41e698f3fde7da235534ecb1b03f489ad2cbbec19b65abfe3ff0967 WHIRLPOOL c64a5578e789c1412da12053d7550689cdd1bb9a330c93b3d00c6b67c3bf7cd9fbcc9a558d2defc7a9ebb9e13c8be038c6c37d067bcf10bd70b29528b201db6c
+DIST ekopath-2016-06-23-installer.run 57121074 SHA256 15fa185ade9893172f989051ac4991582fab6c4f041723504f5c934920affc16 SHA512 0cc941c52fb32c8fa64468ad44c62b3e281f7012dce1ccda659a3d54e4410709b80b372298b74b903c7fea9cad527bfbb613118fd6f03aa8e5d7dcdaf954a779 WHIRLPOOL 67b9ed3038f65bcde7759d31708a3c1970368127137652d8236cf7195c3b22daa0422da31d3875b196cb5194d42ef24ad93e532133d4b26c4edfa92c06ecc3c1
diff --git a/dev-lang/ekopath/ekopath-6.0.844_p20160623-r1.ebuild b/dev-lang/ekopath/ekopath-6.0.844_p20160623-r1.ebuild
new file mode 100644
index 00000000000..f71706c8bc6
--- /dev/null
+++ b/dev-lang/ekopath/ekopath-6.0.844_p20160623-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit pax-utils versionator
+
+MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
+DATE=$(get_version_component_range 4)
+DATE=${DATE#p}
+DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
+INSTALLER=${PN}-${DATE}-installer.run
+
+DESCRIPTION="PathScale EKOPath Compiler Suite"
+HOMEPAGE="http://www.pathscale.com/ekopath-compiler-suite"
+SRC_URI="http://c591116.r16.cf2.rackcdn.com/${PN}/nightly/Linux/${INSTALLER}"
+
+LICENSE="all-rights-reserved"
+SLOT="${MY_PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="!!app-arch/rpm"
+RDEPEND="!dev-lang/ekopath:0/${MY_PV}"
+
+RESTRICT="bindist mirror"
+
+QA_PREBUILT="opt/${MY_P}/*"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ cp "${DISTDIR}/${INSTALLER}" "${S}/" || die
+ chmod +x "${S}/${INSTALLER}" || die
+}
+
+src_install() {
+ # EI_PAX marking is obsolete and PT_PAX breaks the binary.
+ # We must use XT_PAX to run the installer.
+ if [[ ${PAX_MARKINGS} == "XT" ]]; then
+ pax-mark m "${INSTALLER}"
+ fi
+
+ ./"${INSTALLER}" \
+ --prefix "${ED%/}/opt/${MY_P}" \
+ --mode unattended || die
+
+ if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
+ local guess
+ cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
+
+ if [[ ${guess[@]} ]]; then
+ die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
+ else
+ die "No libdir installed"
+ fi
+ fi
+ [[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+
+ rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+}
diff --git a/dev-lang/ekopath/ekopath-6.0.844_p20160623-r100.ebuild b/dev-lang/ekopath/ekopath-6.0.844_p20160623-r100.ebuild
new file mode 100644
index 00000000000..6a39c107887
--- /dev/null
+++ b/dev-lang/ekopath/ekopath-6.0.844_p20160623-r100.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit pax-utils versionator
+
+MY_PV=$(get_version_component_range 1-3)
+MY_P=${PN}-${MY_PV}
+DATE=$(get_version_component_range 4)
+DATE=${DATE#p}
+DATE=${DATE:0:4}-${DATE:4:2}-${DATE:6}
+INSTALLER=${PN}-${DATE}-installer.run
+
+DESCRIPTION="PathScale EKOPath Compiler Suite"
+HOMEPAGE="http://www.pathscale.com/ekopath-compiler-suite"
+SRC_URI="http://c591116.r16.cf2.rackcdn.com/${PN}/nightly/Linux/${INSTALLER}"
+
+LICENSE="all-rights-reserved"
+SLOT="0/${MY_PV}"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND="!!app-arch/rpm"
+RDEPEND="!dev-lang/ekopath:${MY_PV}"
+
+RESTRICT="bindist mirror"
+
+QA_PREBUILT="opt/${MY_P}/*"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ cp "${DISTDIR}/${INSTALLER}" "${S}/" || die
+ chmod +x "${S}/${INSTALLER}" || die
+}
+
+src_configure() {
+ cat > 99${PN} <<-EOF || die
+ PATH=${EROOT%/}/opt/${PN}/bin
+ ROOTPATH=${EROOT%/}/opt/${PN}/bin
+ LDPATH=${EROOT%/}/opt/${PN}/lib:${EROOT%/}/opt/${PN}/lib/${MY_PV}/x8664/64
+ MANPATH=${EROOT%/}/opt/${PN}/docs/man
+ EOF
+}
+
+src_install() {
+ # EI_PAX marking is obsolete and PT_PAX breaks the binary.
+ # We must use XT_PAX to run the installer.
+ if [[ ${PAX_MARKINGS} == "XT" ]]; then
+ pax-mark m "${INSTALLER}"
+ fi
+
+ ./"${INSTALLER}" \
+ --prefix "${ED%/}/opt/${MY_P}" \
+ --mode unattended || die
+
+ if [[ ! -d ${ED%/}/opt/${MY_P}/lib/${MY_PV} ]]; then
+ local guess
+ cd "${ED%/}/opt/${MY_P}/lib" && guess=( * )
+
+ if [[ ${guess[@]} ]]; then
+ die "Incorrect release version in PV, guessing it should be: ${guess[*]}"
+ else
+ die "No libdir installed"
+ fi
+ fi
+ [[ -x ${ED%}/opt/${MY_P}/bin/pathcc ]] || die "No pathcc executable was installed, your hardware is unsupported most likely"
+
+ rm -r "${ED}/opt/${MY_P}"/uninstall* || die
+ dosym ${MY_P} /opt/${PN}
+ doenvd 99${PN}
+}